tdm_tidiers {tidytext} | R Documentation

## Tidy DocumentTermMatrix, TermDocumentMatrix, and related objects from the tm package

### Description

Tidy a DocumentTermMatrix or TermDocumentMatrix into a three-column data frame: `term{}`, and value (with zeros missing), with one-row-per-term-per-document.

### Usage

    ## S3 method for class 'DocumentTermMatrix'
    tidy(x, ...)

    ## S3 method for class 'TermDocumentMatrix'
    tidy(x, ...)

    ## S3 method for class 'dfmSparse'
    tidy(x, ...)

    ## S3 method for class 'simple_triplet_matrix'
    tidy(x, row_names = NULL, col_names = NULL,
      ...)

### Arguments

`x` | A DocumentTermMatrix or TermDocumentMatrix object
`...` | Extra arguments, not used
`row_names` | Specify row names
`col_names` | Specify column names

### Examples

    if (requireNamespace("topicmodels", quietly = TRUE)) {
      data("AssociatedPress", package = "topicmodels")
      AssociatedPress

      tidy(AssociatedPress)
    }

[Package tidytext version 0.1.4 Index]